Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.jsr94.admin
Class RLUrlSource

`java.lang.Object
oracle.rules.jsr94.admin.RLUrlSource`

All Implemented Interfaces:
  RuleSource, java.io.Serializable

public class RLUrlSource
extends java.lang.Object
implements RuleSource

A `RuleSource` that specifies a URL that locates RL text.

See Also:
  Serialized Form

Constructor Summary
`RLUrlSource(java.lang.String url)` Create a `RLUrlSource`.

Method Summary
`java.lang.Object` | `getRules(SensitiveDataCallback callback)` Get an object that provides access to the rule sets.
`java.lang.String` | `getUrl()` Get the URL specification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RLUrlSource

    public RLUrlSource(java.lang.String url)

  Create a `RLUrlSource`.
Parameters:
  `url` - The URL specification.

Method Detail

### getUrl

    public java.lang.String getUrl()

  Get the URL specification.
  Returns:
    The URL specification.

### getRules

    public java.lang.Object getRules(SensitiveDataCallback callback)
                              throws javax.rules.admin.RuleAdministrationException

  Get an object that provides access to the rule sets. This is intended for internal use by the implementation.
  Specified by:
    `getRules` in interface `RuleSource`
  Parameters:
    `callback` - The callback for accessing sensitive data.
  Returns:
    An object that provides access to the rule sets.
  Throws:
    `javax.rules.admin.RuleAdministrationException` - if there is an error gaining access

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.